Skip to main content
PUT
/
api2
/
v1
/
connectors
/
{connectorId}
Edit connector
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "sourceUrl": "<string>",
  "defaultRemoteFolder": "<string>",
  "encodedDefaultRemoteFolder": "<string>",
  "commitMessage": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "linkedAccount": "<string>",
  "localToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

connectorId
string
required

Query Parameters

connectionTest
boolean

For running connection test

Body

application/json
name
string
required

Name of the connector

Maximum string length: 255
type
string
required

Connector type

sourceUrl
string
defaultRemoteFolder
string
encodedDefaultRemoteFolder
string
commitMessage
string

Response

Edited

id
string
name
string
type
string
created
string<date-time>
status
string
linkedAccount
string
localToken
string